Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.mycarenet.attestv2.builders.impl
Class ResponseObjectBuilderImpl

    java.lang.Object
      be.ehealth.businessconnector.mycarenet.attestv2.builders.impl.ResponseObjectBuilderImpl

All Implemented Interfaces:
  ResponseObjectBuilder, ConfigurationModuleBootstrap.ModuleBootstrapHook

    public class ResponseObjectBuilderImpl

extends Object
implements ResponseObjectBuilder, ConfigurationModuleBootstrap.ModuleBootstrapHook

Implementation for the `ResponseObjectBuilder` interface.

Constructor Summary
`ResponseObjectBuilderImpl()`

Method Summary
`void` | `bootstrap()`
`SignedBuilderResponse` | `handleCancelResponseType(SendResponseType sendResponse, CancelAttestationRequest cancelAttestationRequest)` Handles the response of the WS, checks the Xades and decode the content to create a `SignedBuilderResponse` object.
`SignedEncryptedBuilderResponse` | `handleSendResponseType(SendResponseType sendResponse, SendAttestBuilderRequest builderRequest)` Handles the response of the WS, checks the Xades and decode the content to create a `SignedEncryptedBuilderResponse` object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseObjectBuilderImpl

    public ResponseObjectBuilderImpl()

Method Detail

### handleSendResponseType

    public final SignedEncryptedBuilderResponse handleSendResponseType(SendResponseType sendResponse,
                                                                       SendAttestBuilderRequest builderRequest)
                                                                throws TechnicalConnectorException

  Description copied from interface: `ResponseObjectBuilder`
  Handles the response of the WS, checks the Xades and decode the content to create a `SignedEncryptedBuilderResponse` object.

  Specified by:
    `handleSendResponseType` in interface `ResponseObjectBuilder`
  Parameters:
    `sendResponse` - the response sent by the WS
    `builderRequest` - the wrapper containing all the necessary request data
  Returns:
    the response object built from the response of the WS, with a valid Xades and a decoded content
  Throws:
    `TechnicalConnectorException`

### handleCancelResponseType

    public SignedBuilderResponse handleCancelResponseType(SendResponseType sendResponse,
                                                          CancelAttestationRequest cancelAttestationRequest)
                                                   throws TechnicalConnectorException

  Description copied from interface: `ResponseObjectBuilder`
  Handles the response of the WS, checks the Xades and decode the content to create a `SignedBuilderResponse` object.

  Specified by:
    `handleCancelResponseType` in interface `ResponseObjectBuilder`
    `cancelAttestationRequest` - the request sent to the WS
  Returns:
  Throws:
    `TechnicalConnectorException`

### bootstrap

    public void bootstrap()

  Specified by:
    `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging generic 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.